ForwardRate Struct Reference

Forward-curve traits. More...

`#include <ql/termstructures/yield/bootstraptraits.hpp>`

## Public Types

typedef BootstrapHelper< YieldTermStructure > | helper

## Static Public Member Functions

static Date | initialDate (const YieldTermStructure *c)
static Real | initialValue (const YieldTermStructure *)
template<class C >
static Real | guess (Size i, const C *c, bool validData, Size)
template<class C >
static Real | minValueAfter (Size, const C *c, bool validData, Size)
template<class C >
static Real | maxValueAfter (Size, const C *c, bool validData, Size)
static void | updateGuess (std::vector< Real > &data, Real forward, Size i)
static Size | maxIterations ()

## Detailed Description

Forward-curve traits.